TICKIT_PEN_EQUIV_ATTR(3)

NAME
tickit_pen_equiv_attr - test if two pens have an equivalent attribute value

SYNOPSIS
    #include <tickit.h>

    bool tickit_pen_equiv_attr(TickitPen *a, TickitPen *b,
        TickitPenAttr attr);
    bool tickit_pen_equiv(TickitPen *a, TickitPen *b)

Link with -ltickit.

DESCRIPTION
tickit_pen_equiv_attr() tests whether two given pen instances have equivalent values for given attribute. It returns true if neither pen has the attribute defined, or if both have it defined to the same value.

tickit_pen_equiv() tests whether two given pen instances have equivalent values for all attributes.

RETURN VALUE
tickit_pen_equiv_attr() and tickit_pen_equiv() return a boolean.

SEE ALSO
tickit_pen_new(3), tickit_pen_set_bool_attr(3), tickit_pen_set_int_attr(3), tickit_pen_set_colour_attr(3), tickit_pen_clear_attr(3), tickit_pen(7), tickit(7)